/*------------------------------------------------------------------------
    File        : columntags.i
    Description : Set All Tags related to a column
    Author(s)   : Thomas Mercer-Hursh
    Created     : Mon Dec 31 16:12:09 PST 2007
    Notes       : _Field buffer is in lbfField
                  Separated as an include for visibility
  ----------------------------------------------------------------------*/

run spCreateColumnTag (
    input  linAttributeID, 
    input  "ColumnCanRead",
    input  lbfField._Can-Read,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "ColumnCanWrite",
    input  lbfField._Can-Write,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "CharacterSet",
    input  lbfField._Charset,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "ColumnLabel",
    input  lbfField._Col-Label,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "ColumnLabelStringAttr",
    input  lbfField._Col-Label-SA,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "Collation",
    input  lbfField._Collation,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "Decimals",
    input  string(lbfField._Decimals),
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "Extent",
    input  string(lbfField._Extent),
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "Position",
    input  string(lbfField._Field-Rpos),
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "CaseSensitive",
    input  string(lbfField._Fld-Case),
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "Format",
    input  lbfField._Format,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "DefaultFormatStringAttr",
    input  lbfField._Format-SA,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "Help",
    input  lbfField._Help,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "HelpStringAttr",
    input  lbfField._Help-SA,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "InitialStringAttr",
    input  lbfField._Initial-SA,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "SideLabel",
    input  lbfField._Label,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "SideLabelStringAttr",
    input  lbfField._Label-SA,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "Order",
    input  string(lbfField._Order),
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "NoDefaultDisplay",
    input  string(lbfField._Sys-Field),
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "ValExp",
    input  lbfField._Valexp,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "ValMsg",
    input  lbfField._ValMsg,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "ValMsgStringAttr",
    input  lbfField._ValMsg-SA,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "ViewAsPhrase",
    input  lbfField._View-As,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "Width",
    input  string(lbfField._Width),
    output linAttributeTagID
    ).
