/*------------------------------------------------------------------------
    File        : seqtags.i
    Description : Set All Tags related to a sequence
    Author(s)   : Thomas Mercer-Hursh
    Created     : Mon Dec 31 16:12:09 PST 2007
    Notes       : _Sequence buffer is in lbfSequence
                  Separated as an include for visibility
  ----------------------------------------------------------------------*/

run spCreateColumnTag (
    input  linAttributeID, 
    input  "SeqNumber",
    input  lbfSequence._Seq-Num,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "SeqIncrement",
    input  lbfSequence._Seq-Incr,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "SeqMin",
    input  lbfSequence._Seq-Min,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "SeqMax",
    input  lbfSequence._Seq-Max,
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "SeqCycleOnLimit",
    input  string(lbfSequence._Cycle-Ok,"Yes/No"),
    output linAttributeTagID
    ).
run spCreateColumnTag (
    input  linAttributeID, 
    input  "Owner",
    input  lbfSequence._Seq-Owner,
    output linAttributeTagID
    ).